Skip to main content
PUT
/
delivery
/
{id}
Update delivery
curl --request PUT \
  --url https://api.truecold.io/delivery/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "code": "<string>",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "shipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "receiver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "route_code": "<string>",
  "route_name": "<string>",
  "transport_mode": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "shipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "receiver_code": "<string>",
  "receiver_name": "<string>",
  "carrier_code": "<string>",
  "carrier_name": "<string>",
  "route_code": "<string>",
  "route_name": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transport_mode": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "soft_deleted": "2023-11-07T05:31:56Z",
  "soft_deleted_by": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "emails_to_notify": [
    "<string>"
  ],
  "carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "receiver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "risk_score": 123
}

Documentation Index

Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact your administrator to get an API key.

Path Parameters

id
string
required

Delivery ID

Body

application/json

Delivery input data for creation/update

code
string
required

Delivery code

site_id
string<uuid>
required

Site ID

shipment_id
string<uuid> | null

Shipment ID (optional)

carrier_id
string<uuid> | null

Carrier ID (optional)

receiver_id
string<uuid> | null

Receiver ID (optional)

route_code
string

Route code (optional)

route_name
string

Route name (optional)

transport_mode
string

Transport mode (optional)

started_at
string<date-time>

Start timestamp (optional)

ended_at
string<date-time>

End timestamp (optional)

Response

Successfully updated delivery

Delivery entity (API response)

id
string<uuid>

Unique identifier

created_at
string<date-time>

Creation timestamp

code
string

code code

shipment_id
string<uuid>

Shipment ID

receiver_code
string

receiver code

receiver_name
string

receiver name

carrier_code
string

carrier code

carrier_name
string

carrier name

route_code
string

route code

route_name
string

route name

account_id
string<uuid>

Account ID

site_id
string<uuid>

Site ID

transport_mode
string

Transport Mode

started_at
string<date-time>

started timestamp

ended_at
string<date-time>

ended timestamp

soft_deleted
string<date-time>

Soft deletion timestamp

soft_deleted_by
string

User who soft deleted the record

updated_at
string<date-time>

Last update timestamp

temperature_range_id
string<uuid>

Temperature range ID

emails_to_notify
string[]

Email address

carrier_id
string<uuid>

Carrier ID

receiver_id
string<uuid>

Receiver ID

risk_score
number | null

Risk score